function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useContext } from 'react';
import { CarContext } from "../../../index";
import { useSetState } from 'ahooks';
import { CcService } from "../../../api";
import { message, Space } from 'antd';
import Detail from "./Detail";
import { VmTable, VmWrapper } from "../../../../_components";
import dayjs from "dayjs";
import { VtxExport } from '@vtx/components';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
var OrderInfo = function OrderInfo() {
  var _useContext = useContext(CarContext),
    info = _useContext.info,
    sDate = _useContext.startDate,
    eDate = _useContext.endDate;
  var _useSetState = useSetState({
      startDate: sDate ? sDate : dayjs().subtract(1, 'month'),
      endDate: eDate ? eDate : dayjs(),
      pagination: {
        current: 1,
        pageSize: 10,
        total: 0
      }
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var _useSetState3 = useSetState({
      visible: false,
      info: {}
    }),
    _useSetState4 = _slicedToArray(_useSetState3, 2),
    modalInfo = _useSetState4[0],
    setModalInfo = _useSetState4[1];
  var startDate = state.startDate,
    endDate = state.endDate,
    pagination = state.pagination;
  var formatStartDate = dayjs(startDate).format('YYYY-MM-DD');
  var formatEndDate = dayjs(endDate).format('YYYY-MM-DD');
  var pageChange = function pageChange(page) {
    setState({
      pagination: _objectSpread(_objectSpread({}, pagination), {}, {
        current: page
      })
    });
  };
  var _CcService$useGetOrde = CcService.useGetOrderPage(info.carCode, formatStartDate, formatEndDate, pagination.current - 1),
    orderPage = _CcService$useGetOrde.orderPage,
    loading = _CcService$useGetOrde.loading;
  var tableProps = {
    rowKey: 'index',
    pagination: _objectSpread(_objectSpread({}, pagination), {}, {
      total: (orderPage === null || orderPage === void 0 ? void 0 : orderPage.total) || 0,
      defaultPageSize: 10,
      onChange: pageChange
    }),
    height: '100%',
    dataSource: (orderPage === null || orderPage === void 0 ? void 0 : orderPage.rows) || [],
    loading: loading
  };
  var columns = [{
    title: '收运时间',
    dataIndex: 'reportDay',
    key: 'reportDay',
    width: 100
  }, {
    title: '车牌号',
    dataIndex: 'carCode',
    key: 'carCode',
    width: 100
  }, {
    title: '垃圾类型',
    dataIndex: 'garbageTypeStr',
    key: 'garbageTypeStr',
    width: 100
  }, {
    title: '收运单位',
    dataIndex: 'collectUnitName',
    key: 'collectUnitName',
    width: 200
  }, {
    title: '行政区划',
    dataIndex: 'divisionName',
    key: 'divisionName',
    width: 100
  }, {
    title: '收运负责人',
    dataIndex: 'collectStaffNames',
    key: 'collectStaffNames',
    width: 160
  }, {
    title: '操作',
    dadaIndex: 'action',
    key: 'action',
    render: function render(_un, record) {
      return /*#__PURE__*/_jsx("span", {
        children: /*#__PURE__*/_jsx("a", {
          onClick: function onClick() {
            return setModalInfo({
              visible: true,
              info: record
            });
          },
          children: "\u67E5\u770B"
        })
      });
    }
  }];
  var exportProps = {
    downloadURL: '/cloud/cc-reborn/api/v101/draftDisposeUnit/exportExcel',
    rowButton: false,
    getExportParams: function getExportParams(exportType) {
      var commonParams = {
        startDay: startDate,
        endDay: endDate,
        carCode: info.carCode
      };
      commonParams.columnJson = JSON.stringify(columns.filter(function (item) {
        return item.key !== 'action';
      }).map(function (item) {
        return {
          title: item.title,
          field: item.key
        };
      }));
      commonParams.fileName = '联单信息';
      var dataSource = tableProps.dataSource;
      switch (exportType) {
        case 'page':
          if (dataSource.length === 0) {
            message.warn('当前页无数据');
            return null;
          }
          return _objectSpread(_objectSpread({}, commonParams), {}, {
            downloadAll: false,
            ids: dataSource.map(function (item) {
              return item.id;
            }).join(',')
          });
        case 'all':
          if (tableProps.pagination.total === 0) {
            message.warn('当前无数据');
            return null;
          }
          if (tableProps.pagination.total > 10000) {
            message.warn('系统导出数据上限为1万条，本次导出数据量已达到上限，超出的数据请重新筛选后分批进行导出');
          }
          return _objectSpread(_objectSpread({}, commonParams), {}, {
            downloadAll: true
          });
        default:
          // 无逻辑
          break;
      }
      return _objectSpread(_objectSpread({}, commonParams), {}, {
        downloadAll: true
      });
    },
    afterExport: function afterExport(status) {
      status ? message.success('导出成功') : message.error('导出失败');
    }
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(VmWrapper, {
      title: '联单信息',
      filterType: 'rangePicker',
      filterChange: function filterChange(date) {
        setState({
          startDate: date[0],
          endDate: date[1]
        });
      },
      dateValue: [startDate, endDate],
      extra: /*#__PURE__*/_jsx(VtxExport, _objectSpread({}, exportProps)),
      children: /*#__PURE__*/_jsx(VmTable, _objectSpread({
        columns: columns
      }, tableProps))
    }), modalInfo.visible && /*#__PURE__*/_jsx(Detail, {
      onCancel: function onCancel() {
        return setModalInfo({
          visible: false
        });
      },
      info: modalInfo.info
    })]
  });
};
export default OrderInfo;